local propsrv = lgs.PropertySrv

function TurnOn(msg)
	if propsrv.possessed(script.objid,'StTweqJoints') then
		propsrv.Set(script.objid,'StTweqJoints','AnimS',0x1)
		propsrv.Set(script.objid,'StTweqJoints','Joint1AnimS',0x1)
		propsrv.Set(script.objid,'StTweqJoints','Joint2AnimS',0x1)
		propsrv.Set(script.objid,'StTweqJoints','Joint3AnimS',0x1)
		propsrv.Set(script.objid,'StTweqJoints','Joint4AnimS',0x1)
		propsrv.Set(script.objid,'StTweqJoints','Joint5AnimS',0x1)
		propsrv.Set(script.objid,'StTweqJoints','Joint6AnimS',0x1)
	end
	return true
end

function TurnOff(msg)
	if propsrv.possessed(script.objid,'StTweqJoints') then
		propsrv.Set(script.objid,'StTweqJoints','AnimS',0x3)
		propsrv.Set(script.objid,'StTweqJoints','Joint1AnimS',0x3)
		propsrv.Set(script.objid,'StTweqJoints','Joint2AnimS',0x3)
		propsrv.Set(script.objid,'StTweqJoints','Joint3AnimS',0x3)
		propsrv.Set(script.objid,'StTweqJoints','Joint4AnimS',0x3)
		propsrv.Set(script.objid,'StTweqJoints','Joint5AnimS',0x3)
		propsrv.Set(script.objid,'StTweqJoints','Joint6AnimS',0x3)
	end
	return true
end